CHECK_HD(1)

NAME
manual page for check_hd

SYNOPSIS
check_hd [options] files

DESCRIPTION
Try to put hardware data into a consistent form.

--check
    do a lot of checks and remove unnecessary data

--sort
    sort data

--reverse
    reverse sorting order

--split
    write separate entries for each key

--with-source
    add comment to each item indicating info source

--mini
    minimal data base (basically driver info only)

--join-keys-first
    when combining similar items, join entries with common keys first (default is common values first)

--cfile file
    create C file to be included in libhd

--no-compact
    don't try to make C version as small as possible

--out file
    write results to file, default is "hd.ids"

--log file
    write log info to file, default is "hd.log"

    Note: check_hd works with libhd/hwinfo internal format only; to convert to other formats, use convert_hd

Try to put hardware data into a consistent form.

--check
    do a lot of checks and remove unnecessary data

--sort
    sort data

--reverse
    reverse sorting order

--split
    write separate entries for each key

--with-source
    add comment to each item indicating info source

--mini
    minimal data base (basically driver info only)

--join-keys-first
    when combining similar items, join entries with common keys first (default is common values first)

--cfile file
    create C file to be included in libhd

--no-compact
    don't try to make C version as small as possible

--out file
    write results to file, default is "hd.ids"

--log file
    write log info to file, default is "hd.log"

    Note: check_hd works with libhd/hwinfo internal format only; to convert to other formats, use convert_hd